classification
Title: Sphinx 1.6.3 deprecation warning for sphinx.util.compat.Directive in docs builds
Type: Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 3.5, Python 3.4, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: brett.cannon, docs@python, larry, ned.deily
Priority: normal Keywords:

Created on 2017-07-15 19:19 by ned.deily, last changed 2017-07-24 09:02 by ned.deily. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 2721 merged ned.deily, 2017-07-15 19:22
PR 2719 larry, 2017-07-15 19:25
PR 2722 merged ned.deily, 2017-07-15 20:51
PR 2723 merged ned.deily, 2017-07-15 20:57
PR 2724 merged ned.deily, 2017-07-15 21:10
PR 2725 merged ned.deily, 2017-07-16 03:04
Messages (8)
msg298401 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-07-15 19:19
[..]/sphinx/util/compat.py:40: RemovedInSphinx17Warning: sphinx.util.compat.Directive is deprecated and will be removed in Sphinx 1.7, please use docutils' instead.
  RemovedInSphinx17Warning)

The solution is to import Directive directly from docutils.  PR to follow for master, needs to be cherrypicked to all maintenance branches and, ideally, all current security-only branches.
msg298402 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-07-15 19:28
New changeset 50f58163a69abe2f35e91044d1df165ee7bdbb42 by Ned Deily in branch 'master':
bpo-30939: Avoid Sphinx deprecation warning in docs build. (#2721)
https://github.com/python/cpython/commit/50f58163a69abe2f35e91044d1df165ee7bdbb42
msg298404 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-07-15 20:56
New changeset bbd0f423d2a19c6a4a9cda6914fc60b87e17250b by Ned Deily in branch '3.6':
bpo-30939: Avoid Sphinx deprecation warning in docs build. (#2721) (#2722)
https://github.com/python/cpython/commit/bbd0f423d2a19c6a4a9cda6914fc60b87e17250b
msg298405 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-07-15 21:01
New changeset ada3f31365d0634d0cd8eeacfacd98291e34a8cc by Ned Deily in branch '3.5':
bpo-30939: Avoid Sphinx deprecation warning in docs build. (#2721) (#2723)
https://github.com/python/cpython/commit/ada3f31365d0634d0cd8eeacfacd98291e34a8cc
msg298409 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-07-16 03:06
New changeset 64a9f3d961084819335ea011063eb8cb41733882 by Ned Deily in branch '2.7':
bpo-30939: Avoid Sphinx deprecation warning in docs build. (#2721) (#2725)
https://github.com/python/cpython/commit/64a9f3d961084819335ea011063eb8cb41733882
msg298451 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2017-07-16 21:23
I wonder if we should pin sphinx directly instead of the approximate pin we
have now to prevent this sort of thing in the future? I had figured they
wouldn't introduce a new warning in a bugfix release but I was wrong in
that assumption.

On Sat, Jul 15, 2017, 12:19 Ned Deily, <report@bugs.python.org> wrote:

>
> New submission from Ned Deily:
>
> [..]/sphinx/util/compat.py:40: RemovedInSphinx17Warning:
> sphinx.util.compat.Directive is deprecated and will be removed in Sphinx
> 1.7, please use docutils' instead.
>   RemovedInSphinx17Warning)
>
> The solution is to import Directive directly from docutils.  PR to follow
> for master, needs to be cherrypicked to all maintenance branches and,
> ideally, all current security-only branches.
>
> ----------
> assignee: docs@python
> components: Documentation
> messages: 298401
> nosy: brett.cannon, docs@python, larry, ned.deily
> priority: normal
> severity: normal
> stage: patch review
> status: open
> title: Sphinx 1.6.3 deprecation warning for sphinx.util.compat.Directive
> in docs builds
> versions: Python 2.7, Python 3.3, Python 3.4, Python 3.5, Python 3.6,
> Python 3.7
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue30939>
> _______________________________________
>
msg298461 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-07-17 05:55
> I wonder if we should pin sphinx directly instead of the approximate pin we
> have now to prevent this sort of thing in the future?

Perhaps. OTOH, we will find out about Sphinx incompatibilities pretty quickly that way, rather than having doc builds potentially silently fail or only finding out about the problem at release time.
msg298864 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2017-07-22 19:18
New changeset 3b3a5a5b70dc468dcfacb17a3d6b342820b480ff by larryhastings (Ned Deily) in branch '3.4':
bpo-30939: Avoid Sphinx deprecation warning in docs build. (#2721) (#2724)
https://github.com/python/cpython/commit/3b3a5a5b70dc468dcfacb17a3d6b342820b480ff
History
Date User Action Args
2017-07-24 09:02:21ned.deilysetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-07-22 19:18:47larrysetmessages: + msg298864
2017-07-17 05:55:01ned.deilysetmessages: + msg298461
2017-07-16 21:23:52brett.cannonsetmessages: + msg298451
2017-07-16 03:06:59ned.deilysetmessages: + msg298409
2017-07-16 03:04:09ned.deilysetpull_requests: + pull_request2785
2017-07-15 21:10:10ned.deilysetpull_requests: + pull_request2784
2017-07-15 21:01:58ned.deilysetmessages: + msg298405
2017-07-15 20:57:59ned.deilysetpull_requests: + pull_request2783
2017-07-15 20:56:15ned.deilysetmessages: + msg298404
2017-07-15 20:51:11ned.deilysetpull_requests: + pull_request2782
2017-07-15 19:28:04ned.deilysetmessages: + msg298402
2017-07-15 19:25:59larrysetpull_requests: + pull_request2781
2017-07-15 19:22:43ned.deilysetpull_requests: + pull_request2780
2017-07-15 19:19:13ned.deilycreate